Subject: 2.6.9 packets not received on link-local address

From: Edward Wang <[email-masked]>
Date: Tue, 05 Jun 2007 15:56:26 +0800

One 2.6.9 machine sends to its own link-local address some packets. But 
it simply can't receive those packets, for both TCP and UDP. If will 
succeeded if:

   - sending to a global address instead of a link-local one;
   - or, machine A sends packets, machine B will receive them;
   - or, 2.6.15 *do* receive TCP packets it sends to its link-local 
address. But UDP still fail.

It seems to be a known issue since 2.6.15 shows some improvement. But I 
can't find anything in mailing list archive. Any pointer?

And, there's a dummy route entry in 2.6.* route table, which use 
loopback_dev as reference device to link-local address. It seems really 
odd. Is it related to the problem I just asked? And why Linux IPv6 stack 
did that?

Thanks in advance.

-Ed